QGIS Application - Feature request #4839
New feature: Text symbol layers
Status: Open
Assignee:

Category: Symbology

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 14676
Description

Actually, if we want to have a text symbol layer it is impossible, the only way available is to enter a single letter (font marker).
It is missing the possibility to enter a word or a phrase instead of text as a layer with the following optional settings:

- Font

- Font style (normal, black, italic etc)

- Font size

- Color

- Buffer

- On the line, above (select distance), up (select distance)

- Rotate

- Invert (left to right or right to left, top to bottom or bottom to top)

And so, this makes useless the font marker, since it is more advanced and the font marker is buggy: | can't use dingbats, a lot of special
characters are not supported and the window to display the characters map is very very very slow.

History

#1 - 2012-01-28 04:23 AM - Alexander Bruy
- Category set to Symbology

#2 - 2012-04-15 10:21 AM - Giovanni Manghi
- Target version set to Version 2.0.0

#3 - 2012-10-06 02:16 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#4 - 2017-05-01 12:50 AM - Giovanni Manghi
- Easy fix? set to No
